Subject: [PATCH v3 17/31] arm64: System calls handling

From: [email-masked] (Arnd Bergmann)
Date: Mon, 10 Sep 2012 13:51:52 +0000

On Monday 10 September 2012, Catalin Marinas wrote:
> Yes, I've seen these but since Al's patches are not in mainline, I don't
> want to add additional dependencies to the arm64 patches (currently
> based on 3.6-rc4). Once they get into mainline, I'll add a patch that
> converts arm64 to the generic functions above.
> 
> For kernel_execve(), I think I can simplify it further and not rely on
> Al's patches (similar to other architectures doing an SVC from kernel):

Hmm, I thought one of the reasons for Al to do his series was to discourage
people from doing syscalls from kernel space, but I may be misremembering
things. Al?

	Arnd